cpw.mods.fml.common

## Class ObfuscationReflectionHelper

- java.lang.Object
- - cpw.mods.fml.common.ObfuscationReflectionHelper

-     public class ObfuscationReflectionHelper
      extends java.lang.Object

  Some reflection helper code.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObfuscationReflectionHelper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T,E> T` | `getPrivateValue(java.lang.Class<? super E> classToAccess, E instance, int fieldIndex)`
    `static <T,E> T` | `getPrivateValue(java.lang.Class<? super E> classToAccess, E instance, java.lang.String... fieldNames)`
    `static java.lang.String[]` | `remapFieldNames(java.lang.String className, java.lang.String... fieldNames)`
    `static <T,E> void` | `setPrivateValue(java.lang.Class<? super T> classToAccess, T instance, E value, int fieldIndex)`
    `static <T,E> void` | `setPrivateValue(java.lang.Class<? super T> classToAccess, T instance, E value, java.lang.String... fieldNames)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObfuscationReflectionHelper

          public ObfuscationReflectionHelper()

  - ### Method Detail

    - #### getPrivateValue

          public static <T,E> T getPrivateValue(java.lang.Class<? super E> classToAccess,
                                E instance,
                                int fieldIndex)

    - #### remapFieldNames

          public static java.lang.String[] remapFieldNames(java.lang.String className,
                                           java.lang.String... fieldNames)

    - #### getPrivateValue

          public static <T,E> T getPrivateValue(java.lang.Class<? super E> classToAccess,
                                E instance,
                                java.lang.String... fieldNames)

    - #### setPrivateValue

          public static <T,E> void setPrivateValue(java.lang.Class<? super T> classToAccess,
                                   T instance,
                                   E value,
                                   int fieldIndex)

    - #### setPrivateValue

          public static <T,E> void setPrivateValue(java.lang.Class<? super T> classToAccess,
                                   T instance,
                                   E value,
                                   java.lang.String... fieldNames)